SouthKorea Class Reference
Date and time calculations » Calendars

South Korean calendars. More...

`#include <ql/time/calendars/southkorea.hpp>`

Inheritance diagram for SouthKorea:
[legend]

## Public Types

enum | Market { Settlement, KRX }

## Public Member Functions

| SouthKorea (Market m=KRX)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
BigInteger | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members

Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

South Korean calendars.

Public holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st
- Independence Day, March 1st
- Arbour Day, April 5th (until 2005)
- Labour Day, May 1st
- Children's Day, May 5th
- Memorial Day, June 6th
- Constitution Day, July 17th (until 2007)
- Liberation Day, August 15th
- National Fondation Day, October 3th
- Christmas Day, December 25th

Other holidays for which no rule is given (data available for 2004-2014 only:)

- Lunar New Year, the last day of the previous lunar year
- Election Days
- National Assemblies
- Presidency
- Regional Election Days
- Buddha's birthday
- Harvest Moon Day

Holidays for the Korea exchange (data from http://eng.krx.co.kr/ or http://www.dooriworld.com/daishin/holiday/holiday.html):

- Public holidays as listed above
- Year-end closing